# Exchange

class HPS.Exchange

  Public Types

  enum AnnotationCaptureFitting

    Values:

    PMIOnly
    ModelAndPMI
  enum BIMRelationshipType

    Values:

    ContainedInSpatialStructure
    Aggregates
    VoidsElement
    FillsElement
    SpaceBoundary
    ConnectsPathElements
  enum BRepMode

    Values:

    TessellationOnly
    BRepOnly
    BRepAndTessellation
  enum CurveType

    Values:

    Blend
    NURBS
    Circle
    Composite
    CurveOnSurface
    Ellipse
    Equation
    Helix
    Hyperbola
    Intersection
    Line
    Offset
    Parabola
    Polyline
    Transform
  enum ImportMode

    Values:

    Complete
    Incremental
  enum LoadStatus

    Values:

    Unknown
    Loaded
    VisualizationOnly
    PartiallyLoaded
    NotLoaded
  enum SurfaceType

    Values:

    Blend01
    Blend02
    Blend03
    Blend04
    NURBS
    Cone
    Cylinder
    Offset
    Pipe
    Plane
    Ruled
    Sphere
    Revolution
    Extrusion
    FromCurve
    Torus
    Transform
  enum Units

    Values:

    Unknown
    Point
    Inch
    Millimeter
    Centimeter
    Pica
    Foot
    Yard
    Meter
    Kilometer
    Mile
  enum UnloadMode

    Values:

    ExchangeAndVisualization
    ExchangeOnly
  class BIMData : public HPS.Sprocket

    Public Functions

    BIMData ()
    BIMData (HPS.Exchange.BIMData in_bim_data)
    override void Dispose ()
    bool Equals (HPS.Exchange.BIMData in_bim_data)
    override bool Equals (Object obj)
    override int GetHashCode ()
    HPS.Exchange.BIMRelationshipEntity[] GetRelatedEntities (HPS.Exchange.Component in_component, HPS.Exchange.BIMRelationshipType in_relationship_type)
    HPS.Exchange.BIMRelationshipEntity[] GetRelatingEntities (HPS.Exchange.Component in_component, HPS.Exchange.BIMRelationshipType in_relationship_type)
    HPS.Exchange.BIMRelationship[] GetRelationships (HPS.Exchange.Component in_component)
    HPS.Exchange.BIMType[] GetTypes ()
    override HPS.Type ObjectType ()

    Public Static Functions

    bool operator!= (HPS.Exchange.BIMData a, HPS.Exchange.BIMData b)
    bool operator== (HPS.Exchange.BIMData a, HPS.Exchange.BIMData b)
  class BIMRelationship : public HPS.Sprocket

    Public Functions

    BIMRelationship ()
    BIMRelationship (HPS.Exchange.BIMRelationship in_relationship)
    override void Dispose ()
    bool Equals (HPS.Exchange.BIMRelationship in_relationship)
    override bool Equals (Object obj)
    override int GetHashCode ()
    HPS.Exchange.BIMRelationshipEntity[] GetRelatedEntities ()
    HPS.Exchange.BIMRelationshipEntity GetRelatingEntity ()
    HPS.Exchange.BIMRelationshipType GetType ()
    override HPS.Type ObjectType ()

    Public Static Functions

    bool operator!= (HPS.Exchange.BIMRelationship a, HPS.Exchange.BIMRelationship b)
    bool operator== (HPS.Exchange.BIMRelationship a, HPS.Exchange.BIMRelationship b)
  class BIMRelationshipEntity : public HPS.Sprocket

    Public Functions

    BIMRelationshipEntity ()
    BIMRelationshipEntity (HPS.Exchange.BIMRelationshipEntity in_that)
    override void Dispose ()
    bool Equals (HPS.Exchange.BIMRelationshipEntity in_relationshipEntity)
    override bool Equals (Object obj)
    HPS.Exchange.Component GetComponent ()
    override int GetHashCode ()
    string GetName ()
    string GetName (bool use_generated_if_needed)
    override HPS.Type ObjectType ()

    Public Static Functions

    bool operator!= (HPS.Exchange.BIMRelationshipEntity a, HPS.Exchange.BIMRelationshipEntity b)
    bool operator== (HPS.Exchange.BIMRelationshipEntity a, HPS.Exchange.BIMRelationshipEntity b)
  class BIMType : public HPS.Sprocket

    Public Functions

    BIMType ()
    BIMType (HPS.Exchange.BIMType in_bim_type)
    override void Dispose ()
    bool Equals (HPS.Exchange.BIMType in_bim_type)
    override bool Equals (Object obj)
    HPS.Exchange.Component[] GetComponents ()
    override int GetHashCode ()
    string GetName ()
    override HPS.Type ObjectType ()

    Public Static Functions

    bool operator!= (HPS.Exchange.BIMType a, HPS.Exchange.BIMType b)
    bool operator== (HPS.Exchange.BIMType a, HPS.Exchange.BIMType b)
  class CADModel : public HPS.CADModel

    Public Functions

    void AddMeasurement (HPS.Measurement in_measurement)
    CADModel ()
    CADModel (HPS.CADModel in_that)
    CADModel (HPS.Component in_that)
    CADModel (HPS.Exchange.CADModel in_that)
    override void Dispose ()
    HPS.Exchange.Layer[] GetAllLayers ()
    HPS.Measurement[] GetAllMeasurements ()
    HPS.Exchange.BIMData GetBIMData ()
    HPS.Component GetComponentFromEntity (IntPtr in_entity)
    HPS.Exchange.Configuration[] GetConfigurations ()
    string[] GetCurrentConfiguration ()
    bool GetEntityOwnership ()
    IntPtr GetExchangeEntity ()
    HPS.Exchange.Sheet[] GetSheets ()
    bool HasIsolatedPart ()
    void HideAllPMI (HPS.Canvas in_canvas)
    void HideAllPMI (HPS.Canvas in_canvas, ulong in_layer)
    override HPS.Type ObjectType ()
    HPS.Exchange.ReloadNotifier Reload ()
    HPS.Exchange.ReloadNotifier Reload (HPS.Exchange.TessellationOptionsKit in_options)
    HPS.Exchange.ReloadNotifier Reload (HPS.Exchange.TessellationOptionsKit in_options, HPS.Exchange.TranslationOptionsKit in_translation_options)
    bool ReplaceExchangeEntity (HPS.Component in_component, IntPtr in_a3d_entity)
    void SetAllPMIInFront (bool in_enable, HPS.Canvas in_canvas)
    void SetAllPMIInFront (bool in_enable, HPS.Canvas in_canvas, ulong in_layer)
    void ShowAllPMI (HPS.Canvas in_canvas)
    void ShowAllPMI (HPS.Canvas in_canvas, ulong in_layer)
    void Tessellate (HPS.Exchange.TessellationOptionsKit in_options)
    HPS.Exchange.TranslationNotifier Translate (HPS.Exchange.TranslationOptionsKit in_translation_options)
  class Capture : public HPS.Capture

    Public Functions

    HPS.View Activate ()
    HPS.View Activate (HPS.ComponentPath in_capture_path)
    Capture ()
    Capture (HPS.Capture in_that)
    Capture (HPS.Component in_that)
    Capture (HPS.Exchange.Capture in_that)
    override void Dispose ()
    IntPtr GetExchangeEntity ()
    override HPS.Type ObjectType ()
  class CommonMeasurementOperator : public HPS.Operator

    Subclassed by HPS.Exchange.MeasurementOperator

    Public Types

    enum Tags

      Values:

      Name
      MeasurementType
      Radius
      Inverted
      VectorX
      VectorY
      VectorZ

    Public Functions

    CommonMeasurementOperator ()
    CommonMeasurementOperator (HPS.Exchange.CADModel in_cad_model)
    CommonMeasurementOperator (HPS.Exchange.CADModel in_cad_model, HPS.MouseButtons in_mouse_trigger)
    CommonMeasurementOperator (HPS.Exchange.CADModel in_cad_model, HPS.MouseButtons in_mouse_trigger, HPS.ModifierKeys in_modifier_trigger)
    CommonMeasurementOperator (HPS.Exchange.CommonMeasurementOperator in_that)
    void DeleteMeasurements ()
    override void Dispose ()
    HPS.Exchange.CADModel GetCADModel ()
    HPS.MaterialMappingKit GetMaterial ()
    HPS.SegmentKey GetMeasurementSegment ()
    override string GetName ()
    ulong GetPrecision ()
    HPS.TextAttributeKit GetTextAttributes ()
    override void OnViewAttached (HPS.View in_attached_view)
    override void OnViewDetached (HPS.View in_detached_view)
    void SetCADModel (HPS.Exchange.CADModel in_cad_model)
    void SetMaterial (HPS.MaterialMappingKit in_material_mapping)
    void SetPrecision (ulong in_precision)
    void SetTextAttribute (HPS.TextAttributeKit in_text_attributes)

    Public Static Functions

    string GetNewMeasurementSegmentName (string in_prefix)
    class MeasurementDeletedEvent : public HPS.Event

      Public Functions

      override HPS.Event Clone ()
      override void Dispose ()
      MeasurementDeletedEvent ()
      MeasurementDeletedEvent (HPS.Event in_event)
      MeasurementDeletedEvent (HPS.Exchange.CommonMeasurementOperator.MeasurementDeletedEvent in_that)
      MeasurementDeletedEvent (string in_measurement_name, HPS.View in_view)

      Properties

      string measurement_name { get; set; }
      HPS.View view { get; set; }
    class MeasurementInsertedEvent : public HPS.Event

      Public Functions

      override HPS.Event Clone ()
      override void Dispose ()
      MeasurementInsertedEvent ()
      MeasurementInsertedEvent (HPS.Event in_event)
      MeasurementInsertedEvent (HPS.Exchange.CommonMeasurementOperator.MeasurementInsertedEvent in_that)
      MeasurementInsertedEvent (HPS.Measurement in_measurement, HPS.View in_view)

      Properties

      HPS.Measurement measurement { get; set; }
      HPS.View view { get; set; }
  class Component : public HPS.Component

    Subclassed by HPS.Exchange.ProductOccurrence, HPS.Exchange.Sheet

    Public Functions

    bool AddTransform (HPS.MatrixKit in_transform)
    Component ()
    Component (HPS.Component in_that)
    Component (HPS.Exchange.Component in_that)
    HPS.Component CopyTo (HPS.Component in_new_owner)
    override void Dispose ()
    IntPtr GetExchangeEntity ()
    override HPS.Type ObjectType ()
    HPS.Exchange.ReloadNotifier Reload ()
    HPS.Exchange.ReloadNotifier Reload (HPS.Exchange.TessellationOptionsKit in_tessellation_options)
    HPS.Exchange.ReloadNotifier Reload (HPS.Exchange.TessellationOptionsKit in_tessellation_options, HPS.Exchange.TranslationOptionsKit in_translation_options)
    bool SetName (string in_new_name)
    bool SetTransform (HPS.MatrixKit in_transform)
    void Tessellate (HPS.Exchange.TessellationOptionsKit in_options)
    HPS.Exchange.TranslationNotifier Translate (HPS.Exchange.Units in_units, HPS.Exchange.TranslationOptionsKit in_translation_options)
  class Configuration : public HPS.Sprocket

    Public Functions

    Configuration ()
    Configuration (HPS.Exchange.Configuration in_configuration)
    Configuration (string in_name)
    Configuration (string in_name, HPS.Exchange.Configuration[] in_subconfigurations)
    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.Configuration in_kit)
    override bool Equals (Object obj)
    override int GetHashCode ()
    string GetName ()
    HPS.Exchange.Configuration[] GetSubconfigurations ()
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.Configuration in_kit)
    void Show (out HPS.Exchange.Configuration out_kit)

    Public Static Functions

    bool operator!= (HPS.Exchange.Configuration a, HPS.Exchange.Configuration b)
    bool operator== (HPS.Exchange.Configuration a, HPS.Exchange.Configuration b)
  class ExportGLTFOptionsKit : public HPS.SprocketKit

    Public Functions

    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.ExportGLTFOptionsKit in_kit)
    override bool Equals (Object obj)
    ExportGLTFOptionsKit ()
    ExportGLTFOptionsKit (HPS.Exchange.ExportGLTFOptionsKit in_kit)
    override int GetHashCode ()
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.ExportGLTFOptionsKit in_kit)
    HPS.Exchange.ExportGLTFOptionsKit SetAscii (bool in_state)
    HPS.Exchange.ExportGLTFOptionsKit SetTextureFolder (string in_name)
    void Show (out HPS.Exchange.ExportGLTFOptionsKit out_kit)
    bool ShowAscii (out bool out_state)
    bool ShowTextureFolder (out string out_path)
    HPS.Exchange.ExportGLTFOptionsKit UnsetAscii ()
    HPS.Exchange.ExportGLTFOptionsKit UnsetEverything ()
    HPS.Exchange.ExportGLTFOptionsKit UnsetTextureFolder ()

    Public Static Functions

    HPS.Exchange.ExportGLTFOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.ExportGLTFOptionsKit a, HPS.Exchange.ExportGLTFOptionsKit b)
    bool operator== (HPS.Exchange.ExportGLTFOptionsKit a, HPS.Exchange.ExportGLTFOptionsKit b)
  class ExportIGESOptionsKit : public HPS.SprocketKit

    Public Functions

    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.ExportIGESOptionsKit in_kit)
    override bool Equals (Object obj)
    ExportIGESOptionsKit ()
    ExportIGESOptionsKit (HPS.Exchange.ExportIGESOptionsKit in_kit)
    override int GetHashCode ()
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.ExportIGESOptionsKit in_kit)
    HPS.Exchange.ExportIGESOptionsKit SetAnalyticsAsNURBS (bool in_state)
    HPS.Exchange.ExportIGESOptionsKit SetApplication (string in_name)
    HPS.Exchange.ExportIGESOptionsKit SetFacetedAsWireframe (bool in_state)
    HPS.Exchange.ExportIGESOptionsKit SetHiddenObjects (bool in_state)
    HPS.Exchange.ExportIGESOptionsKit SetSolidsAsFaces (bool in_state)
    HPS.Exchange.ExportIGESOptionsKit SetTessellation (bool in_state)
    HPS.Exchange.ExportIGESOptionsKit SetVersion (string in_version)
    void Show (out HPS.Exchange.ExportIGESOptionsKit out_kit)
    bool ShowAnalyticsAsNURBS (out bool out_state)
    bool ShowApplication (out string out_name)
    bool ShowFacetedAsWireframe (out bool out_state)
    bool ShowHiddenObjects (out bool out_state)
    bool ShowSolidsAsFaces (out bool out_state)
    bool ShowTessellation (out bool out_state)
    bool ShowVersion (out string out_version)
    HPS.Exchange.ExportIGESOptionsKit UnsetAnalyticsAsNURBS ()
    HPS.Exchange.ExportIGESOptionsKit UnsetApplication ()
    HPS.Exchange.ExportIGESOptionsKit UnsetEverything ()
    HPS.Exchange.ExportIGESOptionsKit UnsetFacetedAsWireframe ()
    HPS.Exchange.ExportIGESOptionsKit UnsetHiddenObjects ()
    HPS.Exchange.ExportIGESOptionsKit UnsetSolidsAsFaces ()
    HPS.Exchange.ExportIGESOptionsKit UnsetTessellation ()
    HPS.Exchange.ExportIGESOptionsKit UnsetVersion ()

    Public Static Functions

    HPS.Exchange.ExportIGESOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.ExportIGESOptionsKit a, HPS.Exchange.ExportIGESOptionsKit b)
    bool operator== (HPS.Exchange.ExportIGESOptionsKit a, HPS.Exchange.ExportIGESOptionsKit b)
  class ExportNotifier : public HPS.IONotifier

    Public Functions

    void Assign (HPS.Exchange.ExportNotifier in_that)
    override void Dispose ()
    ExportNotifier ()
    ExportNotifier (HPS.Exchange.ExportNotifier in_that)
    ExportNotifier (HPS.IONotifier in_that)
    IntPtr GetModelFile ()
    override HPS.Type ObjectType ()
  class ExportParasolidOptionsKit : public HPS.SprocketKit

    Public Functions

    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.ExportParasolidOptionsKit in_kit)
    override bool Equals (Object obj)
    ExportParasolidOptionsKit ()
    ExportParasolidOptionsKit (HPS.Exchange.ExportParasolidOptionsKit in_kit)
    override int GetHashCode ()
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.ExportParasolidOptionsKit in_kit)
    HPS.Exchange.ExportParasolidOptionsKit SetApplication (string in_name)
    HPS.Exchange.ExportParasolidOptionsKit SetExplodeMultiBodies (bool in_state)
    HPS.Exchange.ExportParasolidOptionsKit SetHiddenObjects (bool in_state)
    HPS.Exchange.ExportParasolidOptionsKit SetSolidsAsFaces (bool in_state)
    HPS.Exchange.ExportParasolidOptionsKit SetTessellation (bool in_state)
    HPS.Exchange.ExportParasolidOptionsKit SetVersion (string in_version)
    void Show (out HPS.Exchange.ExportParasolidOptionsKit out_kit)
    bool ShowApplication (out string out_name)
    bool ShowExplodeMultiBodies (out bool out_state)
    bool ShowHiddenObjects (out bool out_state)
    bool ShowSolidsAsFaces (out bool out_state)
    bool ShowTessellation (out bool out_state)
    bool ShowVersion (out string out_version)
    HPS.Exchange.ExportParasolidOptionsKit UnsetApplication ()
    HPS.Exchange.ExportParasolidOptionsKit UnsetEverything ()
    HPS.Exchange.ExportParasolidOptionsKit UnsetExplodeMultiBodies ()
    HPS.Exchange.ExportParasolidOptionsKit UnsetHiddenObjects ()
    HPS.Exchange.ExportParasolidOptionsKit UnsetSolidsAsFaces ()
    HPS.Exchange.ExportParasolidOptionsKit UnsetTessellation ()
    HPS.Exchange.ExportParasolidOptionsKit UnsetVersion ()

    Public Static Functions

    HPS.Exchange.ExportParasolidOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.ExportParasolidOptionsKit a, HPS.Exchange.ExportParasolidOptionsKit b)
    bool operator== (HPS.Exchange.ExportParasolidOptionsKit a, HPS.Exchange.ExportParasolidOptionsKit b)
  class ExportSTEPOptionsKit : public HPS.SprocketKit

    Public Functions

    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.ExportSTEPOptionsKit in_kit)
    override bool Equals (Object obj)
    ExportSTEPOptionsKit ()
    ExportSTEPOptionsKit (HPS.Exchange.ExportSTEPOptionsKit in_kit)
    override int GetHashCode ()
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.ExportSTEPOptionsKit in_kit)
    HPS.Exchange.ExportSTEPOptionsKit SetAnalyticsAsNURBS (bool in_state)
    HPS.Exchange.ExportSTEPOptionsKit SetApplication (string in_name)
    HPS.Exchange.ExportSTEPOptionsKit SetAttributes (bool in_state)
    HPS.Exchange.ExportSTEPOptionsKit SetCurves (bool in_state)
    HPS.Exchange.ExportSTEPOptionsKit SetFacetedAsWireframe (bool in_state)
    HPS.Exchange.ExportSTEPOptionsKit SetFormat (HPS.Exchange.STEP.Format in_format)
    HPS.Exchange.ExportSTEPOptionsKit SetNameShortening (bool in_state)
    HPS.Exchange.ExportSTEPOptionsKit SetPMI (bool in_state)
    HPS.Exchange.ExportSTEPOptionsKit SetPMIAsTessellated (bool in_state)
    HPS.Exchange.ExportSTEPOptionsKit SetPMIWithSemantic (bool in_state)
    HPS.Exchange.ExportSTEPOptionsKit SetVersion (string in_version)
    void Show (out HPS.Exchange.ExportSTEPOptionsKit out_kit)
    bool ShowAnalyticsAsNURBS (out bool out_state)
    bool ShowApplication (out string out_name)
    bool ShowAttributes (out bool out_state)
    bool ShowCurves (out bool out_state)
    bool ShowFacetedAsWireframe (out bool out_state)
    bool ShowFormat (out HPS.Exchange.STEP.Format out_format)
    bool ShowNameShortening (out bool out_state)
    bool ShowPMI (out bool out_state)
    bool ShowPMIAsTessellated (out bool out_state)
    bool ShowPMIWithSemantic (out bool out_state)
    bool ShowVersion (out string out_version)
    HPS.Exchange.ExportSTEPOptionsKit UnsetAnalyticsAsNURBS ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetApplication ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetAttributes ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetCurves ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetEverything ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetFacetedAsWireframe ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetFormat ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetNameShortening ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetPMI ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetPMIAsTessellated ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetPMIWithSemantic ()
    HPS.Exchange.ExportSTEPOptionsKit UnsetVersion ()

    Public Static Functions

    HPS.Exchange.ExportSTEPOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.ExportSTEPOptionsKit a, HPS.Exchange.ExportSTEPOptionsKit b)
    bool operator== (HPS.Exchange.ExportSTEPOptionsKit a, HPS.Exchange.ExportSTEPOptionsKit b)
  class Factory : public HPS.Sprocket

    Public Functions

    override void Dispose ()

    Public Static Functions

    HPS.Exchange.CADModel CreateCADModel ()
    HPS.Exchange.CADModel CreateCADModel (HPS.Model in_model)
    HPS.Exchange.CADModel CreateCADModel (HPS.Model in_model, IntPtr in_entity)
    HPS.Exchange.CADModel CreateCADModel (HPS.Model in_model, IntPtr in_entity, bool in_owns_entity)
    HPS.Exchange.Capture CreateCapture (HPS.Component in_owner)
    HPS.Exchange.Capture CreateCapture (HPS.Component in_owner, IntPtr in_entity)
    HPS.Exchange.Capture CreateCapture (HPS.Component in_owner, IntPtr in_entity, bool in_is_default)
    HPS.Exchange.Component CreateComponent (HPS.Component in_owner, HPS.Component.ComponentType in_type)
    HPS.Exchange.Component CreateComponent (HPS.Component in_owner, HPS.Component.ComponentType in_type, IntPtr in_entity)
    HPS.Exchange.Filter CreateFilter (HPS.Component in_owner)
    HPS.Exchange.Filter CreateFilter (HPS.Component in_owner, IntPtr in_entity)
    HPS.Exchange.Sheet CreateSheet (HPS.Component in_owner)
    HPS.Exchange.Sheet CreateSheet (HPS.Component in_owner, IntPtr in_entity)
    HPS.Exchange.Component DeInstanceComponent (HPS.ComponentPath in_component_path)
  class File

    Public Types

    enum Format

      Values:

      Unsupported
      ACIS
      CADDS
      CATIAV4
      CATIAV5
      CGR
      COLLADA
      CreoProE
      DWG
      DXF
      IDEAS
      IFC
      IGES
      Inventor
      JT
      KeyholeMarkupLanguage
      LatticeXVL
      OneSpaceDesigner
      Parasolid
      PDF
      PRC
      Rhino
      NXUnigraphics
      SolidEdge
      SolidWorks
      STEP
      StereoLithography
      ThreeDStudioMax
      ThreeDXML
      Universal3D
      VDAFS
      VRML
      WavefrontObject
      Revit
      GLTF
      DWF
      FBX
      STEPXML
      ThreeMF
      Navisworks

    Public Static Functions

    void ExportIGES (HPS.Exchange.CADModel in_cad_model, string in_file_name, HPS.Exchange.ExportIGESOptionsKit in_options)
    void ExportParasolid (HPS.Exchange.CADModel in_cad_model, string in_file_name, HPS.Exchange.ExportParasolidOptionsKit in_options)
    void ExportSTEP (HPS.Exchange.CADModel in_cad_model, string in_file_name, HPS.Exchange.ExportSTEPOptionsKit in_options)
    HPS.Exchange.Configuration[] GetConfigurations (string in_file_name)
    HPS.Exchange.File.Format GetFormat (string in_file_name)
    void GetInformation (string in_file_name, out HPS.Exchange.File.Format out_format, out string out_model_name, out string out_version, out string out_author, out string out_organization, out string out_time_stamp)
    HPS.ImageKit GetThumbnailImage (string in_file_name)
    HPS.Exchange.ImportNotifier Import (byte[] in_prc_data, HPS.Exchange.ModelFileImportOptionsKit in_options)
    void Import (byte[] in_prc_data, HPS.Exchange.ModelFileImportOptionsKit in_options, HPS.Exchange.ImportNotifier in_notifier)
    HPS.Exchange.ImportNotifier Import (IntPtr in_model_file, HPS.Exchange.ModelFileImportOptionsKit in_options)
    void Import (IntPtr in_model_file, HPS.Exchange.ModelFileImportOptionsKit in_options, HPS.Exchange.ImportNotifier in_notifier)
    HPS.Exchange.ImportNotifier Import (string in_file_name, HPS.Exchange.ImportOptionsKit in_options)
    void Import (string in_file_name, HPS.Exchange.ImportOptionsKit in_options, HPS.Exchange.ImportNotifier in_notifier)
    HPS.Exchange.TranslationNotifier Translate (string in_file_name, HPS.Exchange.ImportOptionsKit in_options, HPS.Exchange.TranslationOptionsKit in_translation_options)
  class Filter : public HPS.Filter

    Public Functions

    override void Dispose ()
    Filter ()
    Filter (HPS.Component in_that)
    Filter (HPS.Exchange.Filter in_that)
    Filter (HPS.Filter in_that)
    IntPtr GetExchangeEntity ()
    override HPS.Type ObjectType ()
  class ImportNotifier : public HPS.IONotifier

    Public Functions

    void Assign (HPS.Exchange.ImportNotifier in_that)
    override void Dispose ()
    HPS.Exchange.CADModel GetCADModel ()
    double GetImportTime ()
    double GetParseTime ()
    IntPtr GetPRCReadHelper ()
    ImportNotifier ()
    ImportNotifier (HPS.Exchange.ImportNotifier in_that)
    ImportNotifier (HPS.IONotifier in_that)
    override HPS.Type ObjectType ()
  class ImportOptionsKit : public HPS.SprocketKit

    Public Functions

    HPS.Exchange.ImportOptionsKit deprecated_SetMultiProcessCount (uint in_count)
    bool deprecated_ShowMultiProcessCount (out uint out_count)
    HPS.Exchange.ImportOptionsKit deprecated_UnsetMultiProcessCount ()
    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.ImportOptionsKit in_kit)
    override bool Equals (Object obj)
    override int GetHashCode ()
    ImportOptionsKit ()
    ImportOptionsKit (HPS.Exchange.ImportOptionsKit in_kit)
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.ImportOptionsKit in_kit)
    HPS.Exchange.ImportOptionsKit SetActiveFilter (bool in_state)
    HPS.Exchange.ImportOptionsKit SetAnnotationCaptureFitting (HPS.Exchange.AnnotationCaptureFitting in_fitting)
    HPS.Exchange.ImportOptionsKit SetAttributes (bool in_state)
    HPS.Exchange.ImportOptionsKit SetBRepMode (HPS.Exchange.BRepMode in_mode)
    HPS.Exchange.ImportOptionsKit SetCatiaV4LogicalNameForRootDirectory (string in_name)
    HPS.Exchange.ImportOptionsKit SetCatiaV4LogicalNameSearching (bool in_state)
    HPS.Exchange.ImportOptionsKit SetCatiaV5Cache (bool in_active, string in_path)
    HPS.Exchange.ImportOptionsKit SetCatiaV5MaterialRendering (bool in_active)
    HPS.Exchange.ImportOptionsKit SetComputePreferredOpenShellOrientation (bool in_state)
    HPS.Exchange.ImportOptionsKit SetConfiguration (string in_configuration)
    HPS.Exchange.ImportOptionsKit SetConfiguration (string[] in_configuration)
    HPS.Exchange.ImportOptionsKit SetConstraintsInfo (bool in_state)
    HPS.Exchange.ImportOptionsKit SetConstructionAndReferences (bool in_state)
    HPS.Exchange.ImportOptionsKit SetDefaultUnits (HPS.Exchange.Units in_units)
    HPS.Exchange.ImportOptionsKit SetDrawings (bool in_state)
    HPS.Exchange.ImportOptionsKit SetExternalProductOccurrence (bool read_external_po)
    HPS.Exchange.ImportOptionsKit SetFeatureTrees (bool in_state)
    HPS.Exchange.ImportOptionsKit SetGeometryDefaultColor (HPS.RGBAColor in_color)
    HPS.Exchange.ImportOptionsKit SetHiddenObjects (bool in_state)
    HPS.Exchange.ImportOptionsKit SetIFCAttributeXMLFile (string in_filename)
    HPS.Exchange.ImportOptionsKit SetIFCCodePageName (string in_name)
    HPS.Exchange.ImportOptionsKit SetIFCEdges (bool in_state)
    HPS.Exchange.ImportOptionsKit SetIFCFaceOptimization (bool in_state)
    HPS.Exchange.ImportOptionsKit SetIFCMetadata (bool in_state)
    HPS.Exchange.ImportOptionsKit SetIFCOpenings (bool in_state)
    HPS.Exchange.ImportOptionsKit SetIFCOwnerHistoryOptimization (bool in_state)
    HPS.Exchange.ImportOptionsKit SetIFCRelationships (bool in_state)
    HPS.Exchange.ImportOptionsKit SetIncrementalComponentPath (HPS.ComponentPath in_path)
    HPS.Exchange.ImportOptionsKit SetIncrementalComponentPaths (HPS.ComponentPath[] in_paths)
    HPS.Exchange.ImportOptionsKit SetInventorEmbeddedTessellation (bool in_state)
    HPS.Exchange.ImportOptionsKit SetJTTessellationLevel (HPS.Exchange.JT.TessellationLevel in_jt_tessellation_level)
    HPS.Exchange.ImportOptionsKit SetLargeTranslationExtraction (bool in_state)
    HPS.Exchange.ImportOptionsKit SetLargeTranslationExtraction (bool in_state, IntPtr in_data_index)
    HPS.Exchange.ImportOptionsKit SetLargeTranslationExtraction (bool in_state, IntPtr in_data_index, float in_cutoff_value)
    HPS.Exchange.ImportOptionsKit SetLocation (HPS.ComponentPath in_path)
    HPS.Exchange.ImportOptionsKit SetLocation (HPS.ComponentPath in_path, HPS.MatrixKit in_transform)
    HPS.Exchange.ImportOptionsKit SetLongWireframeThreshold (double in_threshold)
    HPS.Exchange.ImportOptionsKit SetMode (HPS.Exchange.ImportMode in_mode)
    HPS.Exchange.ImportOptionsKit SetNURBSConversion (HPS.Exchange.NURBSConversionOptionsKit in_nurbs_conversion_options)
    HPS.Exchange.ImportOptionsKit SetPDF3DStreamIndex (ulong in_index)
    HPS.Exchange.ImportOptionsKit SetPMI (bool in_state)
    HPS.Exchange.ImportOptionsKit SetPMIDefaultColor (HPS.RGBColor in_color)
    HPS.Exchange.ImportOptionsKit SetPMIDefaultColor (HPS.RGBColor in_color, bool in_override_color)
    HPS.Exchange.ImportOptionsKit SetPMIDefaultUnits (HPS.Exchange.Units in_units)
    HPS.Exchange.ImportOptionsKit SetPMIFlipping (bool in_flip)
    HPS.Exchange.ImportOptionsKit SetPMIPrecision (ulong in_precision)
    HPS.Exchange.ImportOptionsKit SetPMISubstitutionFont (string in_font_name)
    HPS.Exchange.ImportOptionsKit SetPMISubstitutionFont (string in_font_name, bool in_always_substitute)
    HPS.Exchange.ImportOptionsKit SetPRCReadHelper (bool in_use_helper)
    HPS.Exchange.ImportOptionsKit SetProECodePageName (string in_name)
    HPS.Exchange.ImportOptionsKit SetProEConstructionEntities (HPS.Exchange.ProE.ConstructionEntities in_state)
    HPS.Exchange.ImportOptionsKit SetProEDatum (bool in_source)
    HPS.Exchange.ImportOptionsKit SetProEDimensionTolerance (bool in_state)
    HPS.Exchange.ImportOptionsKit SetProEExplodedViews (bool in_source)
    HPS.Exchange.ImportOptionsKit SetProEFamilyTableSource (HPS.Exchange.ProE.FamilyTable in_source)
    HPS.Exchange.ImportOptionsKit SetProEHomeView (bool in_source)
    HPS.Exchange.ImportOptionsKit SetProEMissingBoolean (bool in_state)
    HPS.Exchange.ImportOptionsKit SetProEMissingFlexibleComponent (bool in_state)
    HPS.Exchange.ImportOptionsKit SetProESessionColor (HPS.Exchange.ProE.SessionColor in_type)
    HPS.Exchange.ImportOptionsKit SetProESkeletons (bool in_state)
    HPS.Exchange.ImportOptionsKit SetProESubpartPMI (bool in_state)
    HPS.Exchange.ImportOptionsKit SetRemovedViews (bool read_removed_views)
    HPS.Exchange.ImportOptionsKit SetRevitPhysicalProperties (HPS.Exchange.Revit.PhysicalProperties in_physical_properties)
    HPS.Exchange.ImportOptionsKit SetRhinoForceRenderedModeColors (bool in_state)
    HPS.Exchange.ImportOptionsKit SetSearchDirectories (string[] in_directories, bool[] in_recurse_flags)
    HPS.Exchange.ImportOptionsKit SetSearchDirectories (string[] in_directories, string[] in_logical_names, bool[] in_recurse_flags)
    HPS.Exchange.ImportOptionsKit SetSearchDirectoriesByFile (string[] in_file_names)
    HPS.Exchange.ImportOptionsKit SetSearchRootDirectory (bool in_state)
    HPS.Exchange.ImportOptionsKit SetSearchRootDirectory (bool in_state, bool in_recursive)
    HPS.Exchange.ImportOptionsKit SetSewingTolerance (double in_tolerance)
    HPS.Exchange.ImportOptionsKit SetSolids (bool in_state)
    HPS.Exchange.ImportOptionsKit SetSolidworksDisplayVisibleDatum (bool in_state)
    HPS.Exchange.ImportOptionsKit SetSTEPCodePageName (string in_name)
    HPS.Exchange.ImportOptionsKit SetSTEPFirstColorPreference (bool in_state)
    HPS.Exchange.ImportOptionsKit SetSTEPNamePreference (HPS.Exchange.STEP.Field in_field)
    HPS.Exchange.ImportOptionsKit SetSTEPOrientationHealing (bool in_state)
    HPS.Exchange.ImportOptionsKit SetSTEPShellBasedSurfaceModelSplitting (bool in_state)
    HPS.Exchange.ImportOptionsKit SetSTEPValidationProperties (bool in_state)
    HPS.Exchange.ImportOptionsKit SetSurfaces (bool in_state)
    HPS.Exchange.ImportOptionsKit SetTessellationAccuracy (HPS.Exchange.Tessellation.Accuracy in_type)
    HPS.Exchange.ImportOptionsKit SetTessellationAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals)
    HPS.Exchange.ImportOptionsKit SetTessellationAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals, bool in_accurate_surface_curvatures)
    HPS.Exchange.ImportOptionsKit SetTessellationAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals, bool in_accurate_surface_curvatures, double in_accurate_grid_maximum_stitch_length)
    HPS.Exchange.ImportOptionsKit SetTessellationCleanup (bool in_cleanup)
    HPS.Exchange.ImportOptionsKit SetTessellationLevel (HPS.Exchange.Tessellation.Chord.Limit in_limit_type, double in_limit, double in_angle_tolerance)
    HPS.Exchange.ImportOptionsKit SetTessellationLevel (HPS.Exchange.Tessellation.Level in_level)
    HPS.Exchange.ImportOptionsKit SetTessellationMaximumEdgeLength (double in_length)
    HPS.Exchange.ImportOptionsKit SetTessellationPreservesUVPoints (bool in_state)
    HPS.Exchange.ImportOptionsKit SetTextureDirectories (string[] in_directories)
    HPS.Exchange.ImportOptionsKit SetTreatLongWireframeAsConstructAndReferences (bool in_state)
    HPS.Exchange.ImportOptionsKit SetTrueColorMode (bool in_true_color)
    HPS.Exchange.ImportOptionsKit SetUnigraphicsFittedCamera (bool in_state)
    HPS.Exchange.ImportOptionsKit SetUnigraphicsPreferredReferenceSets (string[] in_reference_sets, bool in_apply_to_all_levels)
    HPS.Exchange.ImportOptionsKit SetWireframes (bool in_state)
    void Show (out HPS.Exchange.ImportOptionsKit out_kit)
    bool ShowActiveFilter (out bool out_state)
    bool ShowAnnotationCaptureFitting (out HPS.Exchange.AnnotationCaptureFitting out_fitting)
    bool ShowAttributes (out bool out_state)
    bool ShowBRepMode (out HPS.Exchange.BRepMode out_mode)
    bool ShowCatiaV4LogicalNameForRootDirectory (out string out_name)
    bool ShowCatiaV4LogicalNameSearching (out bool out_state)
    bool ShowCatiaV5Cache (out bool out_active, out string out_path)
    bool ShowCatiaV5MaterialRendering (out bool out_active)
    bool ShowComputePreferredOpenShellOrientation (out bool out_state)
    bool ShowConfiguration (out string[] out_configuration)
    bool ShowConstraintsInfo (out bool out_state)
    bool ShowConstructionAndReferences (out bool out_state)
    bool ShowDefaultUnits (out HPS.Exchange.Units out_units)
    bool ShowDrawings (out bool out_state)
    bool ShowExternalProductOccurrence (out bool out_read_external_po)
    bool ShowFeatureTrees (out bool out_state)
    bool ShowGeometryDefaultColor (out HPS.RGBAColor out_color)
    bool ShowHiddenObjects (out bool out_state)
    bool ShowIFCAttributeXMLFile (out string out_filename)
    bool ShowIFCCodePageName (out string out_name)
    bool ShowIFCEdges (out bool out_state)
    bool ShowIFCFaceOptimization (out bool out_state)
    bool ShowIFCMetadata (out bool out_state)
    bool ShowIFCOpenings (out bool out_state)
    bool ShowIFCOwnerHistoryOptimization (out bool out_state)
    bool ShowIFCRelationships (out bool out_state)
    bool ShowIncrementalComponentPaths (out HPS.ComponentPath[] out_paths)
    bool ShowInventorEmbeddedTessellation (out bool out_state)
    bool ShowJTTessellationLevel (out HPS.Exchange.JT.TessellationLevel out_tessellation_level)
    bool ShowLargeTranslationExtraction (out bool out_state, out IntPtr out_data_index, out float out_cutoff_value)
    bool ShowLocation (out HPS.ComponentPath out_path, out HPS.MatrixKit out_transform)
    bool ShowLongWireframeThreshold (out double out_threshold)
    bool ShowMode (out HPS.Exchange.ImportMode out_mode)
    bool ShowNURBSConversion (out HPS.Exchange.NURBSConversionOptionsKit out_nurbs_conversion_options)
    bool ShowPDF3DStreamIndex (out ulong out_index)
    bool ShowPMI (out bool out_state)
    bool ShowPMIDefaultColor (out HPS.RGBColor out_color, out bool out_override)
    bool ShowPMIDefaultUnits (out HPS.Exchange.Units out_units)
    bool ShowPMIFlipping (out bool out_pmi_flipping)
    bool ShowPMIPrecision (out ulong out_precision)
    bool ShowPMISubstitutionFont (out string out_font_name, out bool out_always_substitute)
    bool ShowPRCReadHelper (out bool out_use_helper)
    bool ShowProECodePageName (out string out_name)
    bool ShowProEConstructionEntities (out HPS.Exchange.ProE.ConstructionEntities out_state)
    bool ShowProEDatum (out bool out_state)
    bool ShowProEDimensionTolerance (out bool out_state)
    bool ShowProEExplodedViews (out bool out_state)
    bool ShowProEFamilyTableSource (out HPS.Exchange.ProE.FamilyTable out_source)
    bool ShowProEHomeView (out bool out_state)
    bool ShowProEMissingBoolean (out bool out_state)
    bool ShowProEMissingFlexibleComponent (out bool out_state)
    bool ShowProESessionColor (out HPS.Exchange.ProE.SessionColor out_type)
    bool ShowProESkeletons (out bool out_state)
    bool ShowProESubpartPMI (out bool out_state)
    bool ShowRemovedViews (out bool out_read_removed_views)
    bool ShowRevitPhysicalProperties (out HPS.Exchange.Revit.PhysicalProperties out_physical_properties)
    bool ShowRhinoForceRenderedModeColors (out bool out_state)
    bool ShowSearchDirectories (out string[] out_directories, out string[] out_logical_names, out bool[] out_recurse_flags)
    bool ShowSearchDirectoriesByFile (out string[] out_file_names)
    bool ShowSearchRootDirectory (out bool out_state, out bool out_recursive)
    bool ShowSewingTolerance (out double out_tolerance)
    bool ShowSolids (out bool out_state)
    bool ShowSolidworksDisplayVisibleDatum (out bool out_state)
    bool ShowSTEPCodePageName (out string out_name)
    bool ShowSTEPFirstColorPreference (out bool out_state)
    bool ShowSTEPNamePreference (out HPS.Exchange.STEP.Field out_field)
    bool ShowSTEPOrientationHealing (out bool out_state)
    bool ShowSTEPShellBasedSurfaceModelSplitting (out bool out_state)
    bool ShowSTEPValidationProperties (out bool out_state)
    bool ShowSurfaces (out bool out_state)
    bool ShowTessellationAccuracy (out HPS.Exchange.Tessellation.Accuracy out_type, out bool out_accurate_normals, out bool out_accurate_surface_curvatures, out double out_accurate_grid_maximum_stitch_length)
    bool ShowTessellationCleanup (out bool out_cleanup)
    bool ShowTessellationLevel (out HPS.Exchange.Tessellation.Type out_type, out HPS.Exchange.Tessellation.Level out_level, out HPS.Exchange.Tessellation.Chord.Limit out_limit_type, out double out_limit, out double out_angle_tolerance)
    bool ShowTessellationMaximumEdgeLength (out double out_length)
    bool ShowTessellationPreservesUVPoints (out bool out_state)
    bool ShowTextureDirectories (out string[] out_directories)
    bool ShowTreatLongWireframeAsConstructAndReferences (out bool out_state)
    bool ShowTrueColorMode (out bool out_state)
    bool ShowUnigraphicsFittedCamera (out bool out_state)
    bool ShowUnigraphicsPreferredReferenceSets (out string[] out_reference_sets, out bool out_apply_to_all_levels)
    bool ShowWireframes (out bool out_state)
    HPS.Exchange.ImportOptionsKit UnsetActiveFilter ()
    HPS.Exchange.ImportOptionsKit UnsetAnnotationCaptureFitting ()
    HPS.Exchange.ImportOptionsKit UnsetAttributes ()
    HPS.Exchange.ImportOptionsKit UnsetBRepMode ()
    HPS.Exchange.ImportOptionsKit UnsetCatiaV4LogicalNameForRootDirectory ()
    HPS.Exchange.ImportOptionsKit UnsetCatiaV4LogicalNameSearching ()
    HPS.Exchange.ImportOptionsKit UnsetCatiaV5Cache ()
    HPS.Exchange.ImportOptionsKit UnsetCatiaV5MaterialRendering ()
    HPS.Exchange.ImportOptionsKit UnsetComputePreferredOpenShellOrientation ()
    HPS.Exchange.ImportOptionsKit UnsetConfiguration ()
    HPS.Exchange.ImportOptionsKit UnsetConstraintsInfo ()
    HPS.Exchange.ImportOptionsKit UnsetConstructionAndReferences ()
    HPS.Exchange.ImportOptionsKit UnsetDefaultUnits ()
    HPS.Exchange.ImportOptionsKit UnsetDrawings ()
    HPS.Exchange.ImportOptionsKit UnsetEverything ()
    HPS.Exchange.ImportOptionsKit UnsetExternalProductOccurrence ()
    HPS.Exchange.ImportOptionsKit UnsetFeatureTrees ()
    HPS.Exchange.ImportOptionsKit UnsetGeometryDefaultColor ()
    HPS.Exchange.ImportOptionsKit UnsetHiddenObjects ()
    HPS.Exchange.ImportOptionsKit UnsetIFCAttributeXMLFile ()
    HPS.Exchange.ImportOptionsKit UnsetIFCCodePageName ()
    HPS.Exchange.ImportOptionsKit UnsetIFCEdges ()
    HPS.Exchange.ImportOptionsKit UnsetIFCFaceOptimization ()
    HPS.Exchange.ImportOptionsKit UnsetIFCMetadata ()
    HPS.Exchange.ImportOptionsKit UnsetIFCOpenings ()
    HPS.Exchange.ImportOptionsKit UnsetIFCOwnerHistoryOptimization ()
    HPS.Exchange.ImportOptionsKit UnsetIFCRelationships ()
    HPS.Exchange.ImportOptionsKit UnsetIncrementalComponentPaths ()
    HPS.Exchange.ImportOptionsKit UnsetInventorEmbeddedTessellation ()
    HPS.Exchange.ImportOptionsKit UnsetJTTessellationLevel ()
    HPS.Exchange.ImportOptionsKit UnsetLargeTranslationExtraction ()
    HPS.Exchange.ImportOptionsKit UnsetLocation ()
    HPS.Exchange.ImportOptionsKit UnsetLongWireframeThreshold ()
    HPS.Exchange.ImportOptionsKit UnsetMode ()
    HPS.Exchange.ImportOptionsKit UnsetNURBSConversion ()
    HPS.Exchange.ImportOptionsKit UnsetPDF3DStreamIndex ()
    HPS.Exchange.ImportOptionsKit UnsetPMI ()
    HPS.Exchange.ImportOptionsKit UnsetPMIDefaultColor ()
    HPS.Exchange.ImportOptionsKit UnsetPMIDefaultUnits ()
    HPS.Exchange.ImportOptionsKit UnsetPMIFlipping ()
    HPS.Exchange.ImportOptionsKit UnsetPMIPrecision ()
    HPS.Exchange.ImportOptionsKit UnsetPMISubstitutionFont ()
    HPS.Exchange.ImportOptionsKit UnsetPRCReadHelper ()
    HPS.Exchange.ImportOptionsKit UnsetProECodePageName ()
    HPS.Exchange.ImportOptionsKit UnsetProEConstructionEntities ()
    HPS.Exchange.ImportOptionsKit UnsetProEDatum ()
    HPS.Exchange.ImportOptionsKit UnsetProEDimensionTolerance ()
    HPS.Exchange.ImportOptionsKit UnsetProEExplodedViews ()
    HPS.Exchange.ImportOptionsKit UnsetProEFamilyTreeSource ()
    HPS.Exchange.ImportOptionsKit UnsetProEHomeView ()
    HPS.Exchange.ImportOptionsKit UnsetProEMissingBoolean ()
    HPS.Exchange.ImportOptionsKit UnsetProEMissingFlexibleComponent ()
    HPS.Exchange.ImportOptionsKit UnsetProESessionColor ()
    HPS.Exchange.ImportOptionsKit UnsetProESkeletons ()
    HPS.Exchange.ImportOptionsKit UnsetProESubpartPMI ()
    HPS.Exchange.ImportOptionsKit UnsetRemovedViews ()
    HPS.Exchange.ImportOptionsKit UnsetRevitPhysicalProperties ()
    HPS.Exchange.ImportOptionsKit UnsetRhinoForceRenderedModeColors ()
    HPS.Exchange.ImportOptionsKit UnsetSearchDirectories ()
    HPS.Exchange.ImportOptionsKit UnsetSearchDirectoriesByFile ()
    HPS.Exchange.ImportOptionsKit UnsetSearchRootDirectory ()
    HPS.Exchange.ImportOptionsKit UnsetSewingTolerance ()
    HPS.Exchange.ImportOptionsKit UnsetSolids ()
    HPS.Exchange.ImportOptionsKit UnsetSolidworksDisplayVisibleDatum ()
    HPS.Exchange.ImportOptionsKit UnsetSTEPCodePageName ()
    HPS.Exchange.ImportOptionsKit UnsetSTEPFirstColorPreference ()
    HPS.Exchange.ImportOptionsKit UnsetSTEPNamePreference ()
    HPS.Exchange.ImportOptionsKit UnsetSTEPOrientationHealing ()
    HPS.Exchange.ImportOptionsKit UnsetSTEPShellBasedSurfaceModelSplitting ()
    HPS.Exchange.ImportOptionsKit UnsetSTEPValidationProperties ()
    HPS.Exchange.ImportOptionsKit UnsetSurfaces ()
    HPS.Exchange.ImportOptionsKit UnsetTessellationAccuracy ()
    HPS.Exchange.ImportOptionsKit UnsetTessellationCleanup ()
    HPS.Exchange.ImportOptionsKit UnsetTessellationLevel ()
    HPS.Exchange.ImportOptionsKit UnsetTessellationMaximumEdgeLength ()
    HPS.Exchange.ImportOptionsKit UnsetTessellationPreservesUVPoints ()
    HPS.Exchange.ImportOptionsKit UnsetTextureDirectories ()
    HPS.Exchange.ImportOptionsKit UnsetTreatLongWireframeAsConstructAndReferences ()
    HPS.Exchange.ImportOptionsKit UnsetTrueColorMode ()
    HPS.Exchange.ImportOptionsKit UnsetUnigraphicsFittedCamera ()
    HPS.Exchange.ImportOptionsKit UnsetUnigraphicsPreferredReferenceSets ()
    HPS.Exchange.ImportOptionsKit UnsetWireframes ()

    Public Static Functions

    HPS.Exchange.ImportOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.ImportOptionsKit a, HPS.Exchange.ImportOptionsKit b)
    bool operator== (HPS.Exchange.ImportOptionsKit a, HPS.Exchange.ImportOptionsKit b)
  class JT

    Public Types

    enum Content

      Values:

      Geometry
      Tessellation
      GeometryAndTessellation
    enum TessellationLevel

      Values:

      Low
      Medium
      High
    enum Version

      Values:

      JT81
      JT95
      JT100
  class Layer : public HPS.Sprocket

    Public Functions

    override void Dispose ()
    HPS.Exchange.Component[] GetComponents ()
    uint GetIdentifier ()
    string GetName ()
    HPS.Exchange.ProductOccurrence GetProductOccurrence ()
    Layer ()
    Layer (HPS.Exchange.Layer in_that)
    override HPS.Type ObjectType ()
  class MeasurementOperator : public HPS.Exchange.CommonMeasurementOperator

    Public Functions

    void ComputeExchangeScale (HPS.Exchange.Component in_edge_component, out double out_product_occurrence_scale, out double out_ri_scale, out double out_context_scale)
    void DeleteLastMeasurement ()
    override void Dispose ()
    HPS.HighlightOptionsKit GetHighlightOptions ()
    HPS.MeasurementType GetMeasurementType ()
    bool GetMouseOverHighlighting ()
    override string GetName ()
    bool IsMeasurementActive ()
    MeasurementOperator ()
    MeasurementOperator (HPS.Exchange.CADModel in_cad_model)
    MeasurementOperator (HPS.Exchange.CADModel in_cad_model, HPS.MouseButtons in_mouse_trigger)
    MeasurementOperator (HPS.Exchange.CADModel in_cad_model, HPS.MouseButtons in_mouse_trigger, HPS.ModifierKeys in_modifier_trigger)
    override bool OnKeyDown (HPS.KeyboardState in_state)
    override bool OnMouseDown (HPS.MouseState in_state)
    override bool OnMouseMove (HPS.MouseState in_state)
    override bool OnMouseUp (HPS.MouseState in_state)
    override bool OnTouchDown (HPS.TouchState in_state)
    override bool OnTouchMove (HPS.TouchState in_state)
    override bool OnTouchUp (HPS.TouchState in_state)
    override void OnViewAttached (HPS.View in_attached_view)
    override void OnViewDetached (HPS.View in_detached_view)
    void SetMeasurementType (HPS.MeasurementType in_measurement_type)
    void SetMouseOverHighlighting (bool in_highlighting)
    void SetMouseOverHighlighting (bool in_highlighting, HPS.HighlightOptionsKit in_highlight_options_kit)
  class ModelFileImportOptionsKit : public HPS.SprocketKit

    Public Functions

    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.ModelFileImportOptionsKit in_kit)
    override bool Equals (Object obj)
    override int GetHashCode ()
    ModelFileImportOptionsKit ()
    ModelFileImportOptionsKit (HPS.Exchange.ModelFileImportOptionsKit in_kit)
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.ModelFileImportOptionsKit in_kit)
    HPS.Exchange.ModelFileImportOptionsKit SetAnnotationCaptureFitting (HPS.Exchange.AnnotationCaptureFitting in_fitting)
    HPS.Exchange.ModelFileImportOptionsKit SetComputePreferredOpenShellOrientation (bool in_state)
    HPS.Exchange.ModelFileImportOptionsKit SetConfiguration (string in_configuration)
    HPS.Exchange.ModelFileImportOptionsKit SetConfiguration (string[] in_configuration)
    HPS.Exchange.ModelFileImportOptionsKit SetGeometryDefaultColor (HPS.RGBAColor in_color)
    HPS.Exchange.ModelFileImportOptionsKit SetHiddenObjects (bool in_state)
    HPS.Exchange.ModelFileImportOptionsKit SetIFCEdges (bool in_state)
    HPS.Exchange.ModelFileImportOptionsKit SetLocation (HPS.ComponentPath in_path)
    HPS.Exchange.ModelFileImportOptionsKit SetLocation (HPS.ComponentPath in_path, HPS.MatrixKit in_transform)
    HPS.Exchange.ModelFileImportOptionsKit SetNURBSConversion (HPS.Exchange.NURBSConversionOptionsKit in_nurbs_conversion_options)
    HPS.Exchange.ModelFileImportOptionsKit SetPMIFlipping (bool in_flip)
    HPS.Exchange.ModelFileImportOptionsKit SetSewingTolerance (double in_tolerance)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationAccuracy (HPS.Exchange.Tessellation.Accuracy in_type)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals, bool in_accurate_surface_curvatures)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals, bool in_accurate_surface_curvatures, double accurate_grid_maximum_stitch_length)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationCleanup (bool in_cleanup)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationLevel (HPS.Exchange.Tessellation.Chord.Limit in_limit_type, double in_limit, double in_angle_tolerance)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationLevel (HPS.Exchange.Tessellation.Level in_level)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationMaximumEdgeLength (double in_length)
    HPS.Exchange.ModelFileImportOptionsKit SetTessellationPreservesUVPoints (bool in_state)
    void Show (out HPS.Exchange.ModelFileImportOptionsKit out_kit)
    bool ShowAnnotationCaptureFitting (out HPS.Exchange.AnnotationCaptureFitting out_fitting)
    bool ShowComputePreferredOpenShellOrientation (out bool out_state)
    bool ShowConfiguration (out string[] out_configuration)
    bool ShowGeometryDefaultColor (out HPS.RGBAColor out_color)
    bool ShowHiddenObjects (out bool out_state)
    bool ShowIFCEdges (out bool out_state)
    bool ShowLocation (out HPS.ComponentPath out_path, out HPS.MatrixKit out_transform)
    bool ShowNURBSConversion (out HPS.Exchange.NURBSConversionOptionsKit out_nurbs_conversion_options)
    bool ShowPMIFlipping (out bool out_pmi_flipping)
    bool ShowSewingTolerance (out double out_tolerance)
    bool ShowTessellationAccuracy (out HPS.Exchange.Tessellation.Accuracy out_type, out bool out_accurate_normals, out bool out_accurate_surface_curvatures, out double out_accurate_grid_maximum_stitch_length)
    bool ShowTessellationCleanup (out bool out_cleanup)
    bool ShowTessellationLevel (out HPS.Exchange.Tessellation.Type out_type, out HPS.Exchange.Tessellation.Level out_level, out HPS.Exchange.Tessellation.Chord.Limit out_limit_type, out double out_limit, out double out_angle_tolerance)
    bool ShowTessellationMaximumEdgeLength (out double out_length)
    bool ShowTessellationPreservesUVPoints (out bool out_state)
    HPS.Exchange.ModelFileImportOptionsKit UnsetAnnotationCaptureFitting ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetComputePreferredOpenShellOrientation ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetEverything ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetGeometryDefaultColor ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetHiddenObjects ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetIFCEdges ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetLocation ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetNURBSConversion ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetPMIFlipping ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetSewingTolerance ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetTessellationAccuracy ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetTessellationCleanup ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetTessellationLevel ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetTessellationMaximumEdgeLength ()
    HPS.Exchange.ModelFileImportOptionsKit UnsetTessellationPreservesUVPoints ()

    Public Static Functions

    HPS.Exchange.ModelFileImportOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.ModelFileImportOptionsKit a, HPS.Exchange.ModelFileImportOptionsKit b)
    bool operator== (HPS.Exchange.ModelFileImportOptionsKit a, HPS.Exchange.ModelFileImportOptionsKit b)
  class NURBSConversionOptionsKit : public HPS.SprocketKit

    Public Functions

    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.NURBSConversionOptionsKit in_kit)
    override bool Equals (Object obj)
    override int GetHashCode ()
    NURBSConversionOptionsKit ()
    NURBSConversionOptionsKit (HPS.Exchange.NURBSConversionOptionsKit in_kit)
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.NURBSConversionOptionsKit in_kit)
    HPS.Exchange.NURBSConversionOptionsKit Set3DCurvesComputation (bool in_state)
    HPS.Exchange.NURBSConversionOptionsKit SetAllowedCurves (HPS.Exchange.CurveType[] in_allowed_curves)
    HPS.Exchange.NURBSConversionOptionsKit SetAllowedSurfaces (HPS.Exchange.SurfaceType[] in_allowed_surfaces)
    HPS.Exchange.NURBSConversionOptionsKit SetClosedFaceSplitting (bool in_state)
    HPS.Exchange.NURBSConversionOptionsKit SetCrossSeamCurveReplacement (bool in_state)
    HPS.Exchange.NURBSConversionOptionsKit SetParameterization (bool in_state)
    HPS.Exchange.NURBSConversionOptionsKit SetPeriodicFaceSplitting (bool in_state)
    HPS.Exchange.NURBSConversionOptionsKit SetTolerance (double in_tolerance)
    HPS.Exchange.NURBSConversionOptionsKit SetUVCurvesComputation (bool in_state, bool in_allow_cross_seam_curves)
    void Show (out HPS.Exchange.NURBSConversionOptionsKit out_kit)
    bool Show3DCurvesComputation (out bool out_state)
    bool ShowAllowedCurves (out HPS.Exchange.CurveType[] out_allowed_curves)
    bool ShowAllowedSurfaces (out HPS.Exchange.SurfaceType[] out_allowed_surfaces)
    bool ShowClosedFaceSplitting (out bool out_state)
    bool ShowCrossSeamCurveReplacement (out bool out_state)
    bool ShowParameterization (out bool out_state)
    bool ShowPeriodicFaceSplitting (out bool out_state)
    bool ShowTolerance (out double out_tolerance)
    bool ShowUVCurvesComputation (out bool out_state, out bool out_allow_cross_seam_curves)
    HPS.Exchange.NURBSConversionOptionsKit Unset3DCurvesComputation ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetAllowedCurves ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetAllowedSurfaces ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetClosedFaceSplitting ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetCrossSeamCurveReplacement ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetEverything ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetParameterization ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetPeriodicFaceSplitting ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetTolerance ()
    HPS.Exchange.NURBSConversionOptionsKit UnsetUVCurvesComputation ()

    Public Static Functions

    HPS.Exchange.NURBSConversionOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.NURBSConversionOptionsKit a, HPS.Exchange.NURBSConversionOptionsKit b)
    bool operator== (HPS.Exchange.NURBSConversionOptionsKit a, HPS.Exchange.NURBSConversionOptionsKit b)
  class PRC

    Public Types

    enum BRepCompression

      Values:

      None
      Low
      Medium
      High
  class ProductOccurrence : public HPS.Exchange.Component

    Public Functions

    override void Dispose ()
    bool Equals (HPS.Exchange.ProductOccurrence in_kit)
    override bool Equals (Object obj)
    override int GetHashCode ()
    HPS.Exchange.Layer[] GetLayers ()
    HPS.Exchange.LoadStatus GetLoadStatus ()
    bool IsExternalData ()
    override HPS.Type ObjectType ()
    ProductOccurrence ()
    ProductOccurrence (HPS.Component in_that)
    ProductOccurrence (HPS.Exchange.Component in_that)
    ProductOccurrence (HPS.Exchange.ProductOccurrence in_sheet)
    void Unload ()
    void Unload (HPS.Exchange.UnloadMode in_mode)

    Public Static Functions

    bool operator!= (HPS.Exchange.ProductOccurrence a, HPS.Exchange.ProductOccurrence b)
    bool operator== (HPS.Exchange.ProductOccurrence a, HPS.Exchange.ProductOccurrence b)
  class ProE

    Public Types

    enum ConstructionEntities

      Values:

      On
      Off
      AsDatum
    enum FamilyTable

      Values:

      BRepOnly
      BRepOrTessellation
      BRepOrTessellationOrGeneric
    enum SessionColor

      Values:

      LastCreoVersion
      ExchangeDefault
      UserDefined
  class ReloadNotifier : public HPS.IONotifier

    Public Functions

    void Assign (HPS.Exchange.ReloadNotifier in_that)
    override void Dispose ()
    override HPS.Type ObjectType ()
    ReloadNotifier ()
    ReloadNotifier (HPS.Exchange.ReloadNotifier in_that)
    ReloadNotifier (HPS.IONotifier in_that)
  class Revit

    Public Types

    enum PhysicalProperties

      Values:

      NotComputed
      Computed
  class Sheet : public HPS.Exchange.Component

    Public Functions

    HPS.View Activate ()
    override void Dispose ()
    bool Equals (HPS.Exchange.Sheet in_kit)
    override bool Equals (Object obj)
    override int GetHashCode ()
    override HPS.Type ObjectType ()
    Sheet ()
    Sheet (HPS.Component in_that)
    Sheet (HPS.Exchange.Component in_that)
    Sheet (HPS.Exchange.Sheet in_sheet)

    Public Static Functions

    bool operator!= (HPS.Exchange.Sheet a, HPS.Exchange.Sheet b)
    bool operator== (HPS.Exchange.Sheet a, HPS.Exchange.Sheet b)
  class STEP

    Public Types

    enum Field

      Values:

      ProductName
      NextAssemblyUsageOccurrenceID
      NextAssemblyUsageOccurrenceName
      NextAssemblyUsageOccurrenceDescription
    enum Format

      Values:

      AP203
      AP214
      deprecated_AP242
      AP242_Ed1
      AP242_Ed2
      AP242_Ed3
  class Tessellation

    Public Types

    enum Accuracy

      Values:

      Standard
      Accurate
      GridAccurate
    enum Level

      Values:

      ExtraLow
      Low
      Medium
      High
      ExtraHigh
    class Chord

      Public Types

      enum Limit

        Values:

        Ratio
        Height
  class TessellationOptionsKit : public HPS.SprocketKit

    Public Functions

    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.TessellationOptionsKit in_kit)
    override bool Equals (Object obj)
    override int GetHashCode ()
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.TessellationOptionsKit in_kit)
    HPS.Exchange.TessellationOptionsKit SetAccuracy (HPS.Exchange.Tessellation.Accuracy in_type)
    HPS.Exchange.TessellationOptionsKit SetAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals)
    HPS.Exchange.TessellationOptionsKit SetAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals, bool in_accurate_surface_curvatures)
    HPS.Exchange.TessellationOptionsKit SetAccuracy (HPS.Exchange.Tessellation.Accuracy in_type, bool in_accurate_normals, bool in_accurate_surface_curvatures, double in_accurate_grid_maximum_stitch_length)
    HPS.Exchange.TessellationOptionsKit SetLevel (HPS.Exchange.Tessellation.Chord.Limit in_limit_type, double in_limit, double in_angle_tolerance)
    HPS.Exchange.TessellationOptionsKit SetLevel (HPS.Exchange.Tessellation.Level in_level)
    HPS.Exchange.TessellationOptionsKit SetMaximumEdgeLength (double in_length)
    HPS.Exchange.TessellationOptionsKit SetUVPointPreservation (bool in_state)
    void Show (out HPS.Exchange.TessellationOptionsKit out_kit)
    bool ShowAccuracy (out HPS.Exchange.Tessellation.Accuracy out_type, out bool out_accurate_normals, out bool out_accurate_surface_curvatures, out double out_accurate_grid_maximum_stitch_length)
    bool ShowLevel (out HPS.Exchange.Tessellation.Type out_type, out HPS.Exchange.Tessellation.Level out_level, out HPS.Exchange.Tessellation.Chord.Limit out_limit_type, out double out_limit, out double out_angle_tolerance)
    bool ShowMaximumEdgeLength (out double out_length)
    bool ShowUVPointPreservation (out bool out_state)
    TessellationOptionsKit ()
    TessellationOptionsKit (HPS.Exchange.TessellationOptionsKit in_kit)
    HPS.Exchange.TessellationOptionsKit UnsetAccuracy ()
    HPS.Exchange.TessellationOptionsKit UnsetEverything ()
    HPS.Exchange.TessellationOptionsKit UnsetLevel ()
    HPS.Exchange.TessellationOptionsKit UnsetMaximumEdgeLength ()
    HPS.Exchange.TessellationOptionsKit UnsetUVPointPreservation ()

    Public Static Functions

    HPS.Exchange.TessellationOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.TessellationOptionsKit a, HPS.Exchange.TessellationOptionsKit b)
    bool operator== (HPS.Exchange.TessellationOptionsKit a, HPS.Exchange.TessellationOptionsKit b)
  class Translation

    Public Types

    enum AccurateEdges

      Values:

      Off
      On
      OnlyIfNotParasolid
    enum Healing

      Values:

      Off
      On
      OnlyIfNotParasolid
    enum Merging

      Values:

      Off
      On
      OnlyIfNotParasolid
    enum Simplification

      Values:

      Off
      On
      OnlyIfNotParasolid
  class TranslationNotifier : public HPS.IONotifier

    Public Functions

    void Assign (HPS.Exchange.TranslationNotifier in_that)
    override void Dispose ()
    double GetImportTime ()
    int[] GetParasolidParts ()
    double GetTranslationTime ()
    override HPS.Type ObjectType ()
    TranslationNotifier ()
    TranslationNotifier (HPS.Exchange.TranslationNotifier in_that)
    TranslationNotifier (HPS.IONotifier in_that)
  class TranslationOptionsKit : public HPS.SprocketKit

    Public Functions

    override void Dispose ()
    override bool Empty ()
    bool Equals (HPS.Exchange.TranslationOptionsKit in_kit)
    override bool Equals (Object obj)
    override int GetHashCode ()
    override HPS.Type ObjectType ()
    void Set (HPS.Exchange.TranslationOptionsKit in_kit)
    HPS.Exchange.TranslationOptionsKit SetAccurateEdges (HPS.Exchange.Translation.AccurateEdges in_accurate_edges)
    HPS.Exchange.TranslationOptionsKit SetApplication (string in_name)
    HPS.Exchange.TranslationOptionsKit SetDisjointFaces (bool in_state)
    HPS.Exchange.TranslationOptionsKit SetEntityMerging (HPS.Exchange.Translation.Merging in_merging)
    HPS.Exchange.TranslationOptionsKit SetExplodeMultiBodies (bool in_state)
    HPS.Exchange.TranslationOptionsKit SetHealing (HPS.Exchange.Translation.Healing in_healing)
    HPS.Exchange.TranslationOptionsKit SetHiddenObjects (bool in_state)
    HPS.Exchange.TranslationOptionsKit SetMultiProcessCount (uint in_count)
    HPS.Exchange.TranslationOptionsKit SetSewing (bool in_state)
    HPS.Exchange.TranslationOptionsKit SetSewing (bool in_state, double in_tolerance)
    HPS.Exchange.TranslationOptionsKit SetSimplification (HPS.Exchange.Translation.Simplification in_simplification)
    HPS.Exchange.TranslationOptionsKit SetSolidsAsFaces (bool in_state)
    HPS.Exchange.TranslationOptionsKit SetTessellation (bool in_state)
    HPS.Exchange.TranslationOptionsKit SetVersion (string in_version)
    void Show (out HPS.Exchange.TranslationOptionsKit out_kit)
    bool ShowAccurateEdges (out HPS.Exchange.Translation.AccurateEdges out_accurate_edges)
    bool ShowApplication (out string out_name)
    bool ShowDisjointFaces (out bool out_state)
    bool ShowEntityMerging (out HPS.Exchange.Translation.Merging out_merging)
    bool ShowExplodeMultiBodies (out bool out_state)
    bool ShowHealing (out HPS.Exchange.Translation.Healing out_healing)
    bool ShowHiddenObjects (out bool out_state)
    bool ShowMultiProcessCount (out uint out_count)
    bool ShowSewing (out bool out_state, out double out_tolerance)
    bool ShowSimplification (out HPS.Exchange.Translation.Simplification out_simplification)
    bool ShowSolidsAsFaces (out bool out_state)
    bool ShowTessellation (out bool out_state)
    bool ShowVersion (out string out_version)
    TranslationOptionsKit ()
    TranslationOptionsKit (HPS.Exchange.TranslationOptionsKit in_kit)
    HPS.Exchange.TranslationOptionsKit UnsetAccurateEdges ()
    HPS.Exchange.TranslationOptionsKit UnsetApplication ()
    HPS.Exchange.TranslationOptionsKit UnsetDisjointFaces ()
    HPS.Exchange.TranslationOptionsKit UnsetEntityMerging ()
    HPS.Exchange.TranslationOptionsKit UnsetEverything ()
    HPS.Exchange.TranslationOptionsKit UnsetExplodeMultiBodies ()
    HPS.Exchange.TranslationOptionsKit UnsetHealing ()
    HPS.Exchange.TranslationOptionsKit UnsetHiddenObjects ()
    HPS.Exchange.TranslationOptionsKit UnsetMultiProcessCount ()
    HPS.Exchange.TranslationOptionsKit UnsetSewing ()
    HPS.Exchange.TranslationOptionsKit UnsetSimplification ()
    HPS.Exchange.TranslationOptionsKit UnsetSolidsAsFaces ()
    HPS.Exchange.TranslationOptionsKit UnsetTessellation ()
    HPS.Exchange.TranslationOptionsKit UnsetVersion ()

    Public Static Functions

    HPS.Exchange.TranslationOptionsKit GetDefault ()
    bool operator!= (HPS.Exchange.TranslationOptionsKit a, HPS.Exchange.TranslationOptionsKit b)
    bool operator== (HPS.Exchange.TranslationOptionsKit a, HPS.Exchange.TranslationOptionsKit b)
  class U3D

    Public Types

    enum Version

      Values:

      ECMA1
      ECMA3

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating